#include "mainwidget.h"
#include "ui_mainwidget.h"
#include <QPushButton>
#include <QtMath>


MainWidget::MainWidget(QWidget *parent) :
  QWidget(parent),
  ui(new Ui::MainWidget)
{
  ui->setupUi(this);
  circleLo = new QCircleLayout();
  //Назначение компоновщика родительскому виджету
  ui->widget->setLayout(circleLo);
  //Добавление виджетов в компоновщик
  circleLo->addWidget(ui->btn1);
  circleLo->addWidget(ui->btn2);
  circleLo->addWidget(ui->btn4);
  circleLo->addWidget(ui->layoutWidget);
}

MainWidget::~MainWidget()
{
  delete ui;
}

void MainWidget::on_edtSparseCoef_valueChanged(int value)
{
  qreal coef = value * 0.01;
  //Установка нового значения компоновщику
  circleLo->setSparseCoef(coef);
  //Отображение текущего значения коэф разряженности на табло
  ui->lcdSparseCoef->display(coef);
}

void MainWidget::on_edtInitAngle_valueChanged(int value)
{
  //Установка нового значения компоновщику
  circleLo->setInitAngle(qDegreesToRadians((float)value));
  //Отображение нового значения на табло
  ui->lcdInitAngle->display(value);
}
